.viewport-split-resizer {
  flex: 0 0 4px;
  cursor:col-resize;
  background-color: #08f;
  margin-left: -4px;
  z-index: 10;
  opacity: 0;
}

.viewport-split-resizer:hover {
  opacity: 0.7;
}

.body.resizing-viewport-split .viewport-split-resizer {
  opacity: 1;
}

.hidden {
  display: none !important;
}

.uv-viewport-controls {
  display: flex;
  position: absolute;
  flex-direction: row;
  top: 40px;
  left: 5px;
  z-index: 15;
  justify-content: space-between;
  overflow-x: auto;
  overflow-y: hidden;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.uv-left-controls-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 4px;
  margin-left: 0px;
  z-index: 9;
}

.uv-control-button {
  width: 20px;
  height: 20px;
  padding: 0px;
  border: none;
  cursor: pointer;
  background-color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

.uv-control-button img {
  width: 18px;
  height: 18px;
  opacity: 0.5;
}

.uv-control-button:hover {
  background-color: #f0f0f0;
  box-shadow: 0 1px 3px rgba(0,0,0,0.08);
}

.uv-control-button:hover img {
  opacity: 0.8;
}

.uv-control-button.active {
  background-color: #ddd;
  opacity: 1.0;
}

.uv-control-button.active img {
  opacity: 0.7;
}

.uv-control-button.disabled {
  pointer-events: none;
  opacity: 0.3;
  background-color: #ffffff;
}

.uv-control-button.disabled img {
  opacity: 0.3;
}